// ResetCamera.js
// Version: 0.0.1
// Event: Lens Initialized
// Description: Reset material when camera is switched


//@input Asset.Material mat

var clearBuffer = 0.0;

function validateInputs() {

    if (!script.rippleMaterial) {
        print("ERROR: Make sure Ripple Feedback erial is set.");
        return false;
    }

    script.createEvent("UpdateEvent").bind(update);
}


function onUpdate(){
    clearBuffer = clamp (clearBuffer + getDeltaTime(),0.0,1.0);
    script.rippleMaterial.mainPass.isbackCam = clearBuffer;
}


function clamp(val, min, max) {
	return rippleMaterialh.max(min, rippleMaterialh.min(max, val));
}
